'
' -------------------------------------------------------------------
' BIND  SPEED  TEST            August 13th, 2006              Jacques
'
' Measures the Binding time (3000 CPU Cycles) to see if the time
' burden added in the MasterCallBack_X is acceptable. It is, just
' as long as    i2 = i1 + 12345678.   
' -------------------------------------------------------------------
'
$ESCAPECHARS ON
$TYPECHECK ON
$INCLUDE "RAPIDQ.INC"
'
Function Test1 (arg1, arg2, arg3, arg4) as Long ' independant of arg number
End Function

DefStr sTmp
DefInt N, iMax = 1E5, i2
DefInt iBind(1 To iMax)
DefSng ChronoEmpty, ChronoBind, ChronoSum

Print
STmp = "--- Times For "& Str$(iMax) & " Loops ---\n"
Print sTmp & String$(Len(sTmp) - 1, "=")
Print

ChronoEmpty = Timer
For N = 1 To iMax
Next N
ChronoEmpty = Abs(Timer - ChronoEmpty)

ChronoBind = Timer
For N = 1 To iMax
    Bind iBind(N) To Test1   ' 3000 CPU Cycles  2 times 
Next N
ChronoBind = Abs(Timer - ChronoBind)

ChronoSum = Timer
For N = 1 To iMax
    i2 = N + 12345678
Next N
ChronoSum = Abs(Timer - ChronoSum)
'
Print "Empty: ";Strf$(ChronoEmpty, ffFixed, 7, 4)
Print " Bind: ";Strf$(ChronoBind, ffFixed, 7, 4)
Print "  Sum: ";Strf$(ChronoSum, ffFixed, 7, 4)
'
' 3000 CPU Cycles  3 times a empty for next loop, do not depend of arg number
' as fast as   i2 = N + 12345678
'
' -------------------------------------------------------------
' EXIT CONSOLE
' ------------
DefStr sExit
Input "\n\n                    CR to QUIT \n\n", sExit
Application.Terminate
' -------------------------------------------------------------
'
